Bug 109893 - 'display' does not handle screen redraws properly
'display' does not handle screen redraws properly
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-12 14:00 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 15:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-11-12 14:00:58 EST
Description of problem:

In a directory with a bunch of JPEG pictures of varying sizes
after doing 'display *.jpg' and hitting "Next" few times on
an ImageMagick pop-up menu one can end up with pretty distorted
images.  The problem is that when a big picture is displayed
first, possibly with a size bigger than a screen resolution so
a scrolling is required, and a smaller one follows then a new
one is shown either as picture-in-picture in an exisiting big
frame which is not removed/redrawn or display tries to fit it
by stretching and proportions are not kept. What will happen
seem to be sort of random but it may depend on size differences
between former "big" and current "small" pictures.

Nothing of that sort happened with 'display' in the past.

Version-Release number of selected component (if applicable):

How reproducible:
On some samples when 'display' was getting first big size pictures
followd by smaller ones I observed that every time.
Comment 1 Matthew Miller 2006-07-11 13:27:36 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Note You need to log in before you can comment on or make changes to this bug.